# class SS7MsgMTN | MTN signalling message. More...
Full name | `TelEngine::SS7MsgMTN`
Definition | `#include <libs/ysig/yatesig.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { Unknown = 0, SLTM = 0x11, SLTA = 0x21, }

#### Public Static Methods

- static const TokenDict* names ()
- static inline const char* lookup (Type type, const char* defvalue = 0)
- static inline Type lookup (const char* name, Type defvalue = Unknown)

## Detailed Description

Decoded Maintenance (MTN) User Part message

enum Type { Unknown = 0, SLTM = 0x11, SLTA = 0x21, } | ### Type

MTN Message type as defined by Q.707 5.4

const TokenDict* names () | ### names

[static]

inline const char* lookup (Type type, const char* defvalue = 0) | ### lookup

[static]

Convert a MTN message type to a C string

Parameters:

type | Type of MTN message to look up
defvalue | Default string to return

Returns: Name of the MTN message type

inline Type lookup (const char* name, Type defvalue = Unknown) | ### lookup

[static]

Look up a MTN message name

Parameters:

name | String name of the MTN message
defvalue | Default type to return

Returns: Encoded type of the MTN message

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.